#pragma once

#include "TapeControlDlg.h"

// CTapeCtrlView

class CTapeCtrlView : public CDockablePane
{
		DECLARE_DYNAMIC(CTapeCtrlView)

		CTapeControlDlg m_TapeCtrlDlg;

	public:
		CTapeCtrlView();
		virtual ~CTapeCtrlView() override;
		virtual void AdjustLayout() override;

		void UpdateTapeControls(bool bEmuLoad = false, bool bEmuSave = false);
		void StartPlayTape();
		void InitParams(CTape *pTape);

	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnSize(UINT nType, int cx, int cy);
		afx_msg void OnPaint();
		DECLARE_MESSAGE_MAP()
};
